{ pkgs, ... }:

{
  fonts = {
    enableDefaultPackages = true;

    packages = with pkgs; [
      fantasque-sans-mono
      (nerdfonts.override { fonts = [ "FantasqueSansMono" ]; })
    ];

    fontconfig.defaultFonts.monospace = [ "Fantasque Sans Mono" "Roboto Mono" ];

    fontDir.enable = true;
  };
}
